Skip to content

Controller Settings ​

23 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getClientDetailInformationSettingGETGet client detail information settings
modifyClientDetailInformationSettingPATCHModify client detail information settings
getClientActiveTimeoutGETGet client active timeout
modifyClientActiveTimeoutPATCHModify an existing client active timeout
getClientRecognitionEnableGETGet whether client recognition is enabled
modfiyClientRecognitionEnablePATCHModify client recognition enable
getRetentionGETGet retention
modifyRetention_1PATCHModify an existing retention
getUiInterfaceGETGet UI interface
modifyUiInterfacePATCHModify an existing UI interface
getOmadacDstInfo_1GETGet controller DST
getExpImproveGETGet experience improvement
modifyExpImprovePATCHModify an existing experience improvement
getGernalSettingsGETGet general settings
modifyGeneralSettingsPATCHModify an existing general settings
getRemoteLoggingGETGet remote logging
modifyRemoteLoggingPATCHModify an existing remote logging
getMailServerStatusGETGet mailServer status
getPrivacyPolicyGETGet privacy policy
sendTestEmailPOSTSend test mail for controller
favoriteSitePOSTFavorite site
cancelFavoriteSitePOSTCancel favorite site
evaluateFeedbackPOSTEvaluate a customer feedback

getClientDetailInformationSetting ​

GET /openapi/v1/{omadacId}/client-detail-information

Get client detail information settings

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getClientDetailInformationSetting"
}
Details, permissions and error codes

Get client detail information settings.
The interface requires one of the permissions:
Global Other Setting View Only

modifyClientDetailInformationSetting ​

PATCH /openapi/v1/{omadacId}/client-detail-information

Modify client detail information settings

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema ClientDetailInformationSettingVO

FieldTypeRequiredDescription
clientRecognitionEnablebooleannoWhether client recognition is enabled. With the feature enabled, network devices will report client information in real time to ensure the accuracy of client recognition. Cloud Access is required for client recognition.
clientHealthEnablebooleannoWhether client health is enabled. When enabled, client health data will be recorded, which may consume a significant amount of storage space.
clientHistoryEnablebooleannoWhether client history is enabled. When enabled, client history, client logs will be recorded. This will occupy much storage space.
clientDataTrendEnablebooleannoWhether client data trend record is enabled.When enabled, client trend statistics and charts will be retained, which will take up lots of storage space.
followMspbooleannoWhether customer follow MSP setting, only effective in MSP mode and only effective for [clientHistoryEnable] and [clientDataTrendEnable].
json
// omada_call_operation
{
  "operationId": "modifyClientDetailInformationSetting",
  "body": "{...}"
}
Details, permissions and error codes

Modify client detail information settings.On local controller, enabling client recognition requires enabling cloud access.
The interface requires one of the permissions:
Global Other Setting Modify

getClientActiveTimeout ​

GET /openapi/v1/{omadacId}/controller/setting/active-timeout

Get client active timeout

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getClientActiveTimeout"
}
Details, permissions and error codes

Get client active timeout.
The interface requires one of the permissions:
Global Other Setting View Only

modifyClientActiveTimeout ​

PATCH /openapi/v1/{omadacId}/controller/setting/active-timeout

Modify an existing client active timeout

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema Client Active Timeout

FieldTypeRequiredDescription
clientActiveTimeoutMinintegeryesClient Active Timeout should be within the range of 3-10 minutes
json
// omada_call_operation
{
  "operationId": "modifyClientActiveTimeout",
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing client active timeout.
The interface requires one of the permissions:
Global Other Setting Modify

getClientRecognitionEnable ​

GET /openapi/v1/{omadacId}/controller/setting/client-recognition

Get whether client recognition is enabled

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getClientRecognitionEnable"
}
Details, permissions and error codes

Get whether client recognition is enabled.
The interface requires one of the permissions:
Global Other Setting View Only

modfiyClientRecognitionEnable ​

PATCH /openapi/v1/{omadacId}/controller/setting/client-recognition

Modify client recognition enable

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema ClientRecognitionEnableOpenApiVO

FieldTypeRequiredDescription
enablebooleanyesWhether enable client recognition
json
// omada_call_operation
{
  "operationId": "modfiyClientRecognitionEnable",
  "body": "{...}"
}
Details, permissions and error codes

Enable or disable client recognition. On local controller, enabling client recognition requires enabling cloud access.
The interface requires one of the permissions:
Global Other Setting Modify

getRetention ​

GET /openapi/v1/{omadacId}/controller/setting/retention

Get retention

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getRetention"
}
Details, permissions and error codes

Get retention.
The interface requires one of the permissions:
Global Other Setting View Only

modifyRetention_1 ​

PATCH /openapi/v1/{omadacId}/controller/setting/retention

Modify an existing retention

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema History Retention

FieldTypeRequiredDescription
overridebooleannoWhether the customer overrides the retention configuration of MSP.
clientsDataEnablebooleanyesWhether the clients' history data is recorded.
clientDataTrendEnablebooleannoWhether the client data trend records is recorded.
clientRecognitionEnablebooleannoWhether client recognition is enabled. With the feature enabled, network devices will report client information in real time to ensure the accuracy of client recognition. Cloud Access is required for client recognition. This feature is not supported in the MSP view.
clientHealthEnablebooleannoWhether client health is enabled. When enabled, client health data will be recorded, which may consume a significant amount of storage space.
knownClientAvailableRetentionDaysarray<integer>noProvide optional knownClient data Retention Configuration list.
knownClientintegernoRetention configuration of known client Data, knownClient should be a value as follows: -1: Disabled; 0: All Time(Windows, Linux Only); 1: 1day; 7: 7days; 31: 31days; 90: 90days; 180: 180days; 365: 365days.
clientHistoryintegernoRetention configuration of client History(only effective in local controller), clientHistory should be a value as follows: -1: Disabled; 0: All Time(Windows, Linux Only); 7: 7days; 31: 31days; 90: 90days; 180: 180days; 365: 365days.
clientHistoryAvailableRetentionDaysarray<integer>noProvide optional clientHistory data Retention Configuration list.
fiveMinintegernoRetention configuration of Time Series with 5 Minutes Granularity. It is fixed to 2days and cannot be changed.
tenMinintegernoRetention configuration of Time Series with 10 Minutes Granularity, only for Lite Cloud-Based Controller. It is fixed to 2days and cannot be changed.
hourlyintegernoRetention configuration of time series with hourly granularity, hourly should be a value as follows: 7: 7days.
dailyAvailableRetentionDaysarray<integer>noProvide optional daily data Retention Configuration list.
dailyintegernoRetention configuration of time series with daily granularity, daily should be a value as follows: 90: 90days; 180: 180days; 365: 365days(Fixed value in Cloud Based Controller as 365 days).
weeklyAvailableRetentionDaysarray<integer>noProvide optional weekly data Retention Configuration list.
weeklyintegernoRetention configuration of time series with weekly granularity, weekly should be a value as follows: 31: 31days; 90: 90days; 180: 180days; 365: 365days.
portalAuthAvailableRetentionDaysarray<integer>noProvide optional portalAuth data Retention Configuration list.
portalAuthintegernoRetention configuration of portal authentication records, portalAuth should be a value as follows: 0: All Time(Windows, Linux Only); 7: 7days; 31: 31days; 90: 90days; 180: 180days; 365: 365days.
logAvailableRetentionDaysarray<integer>noProvide optional log data Retention Configuration list.
logintegernoRetention Configuration of log data(only effective in local controller), log should be a value as follows: 0: All Time(Windows, Linux Only); 31: 31days; 90: 90days; 180: 180days; 365: 365days.
rogueApintegernoRetention Configuration of rogue ap data, rogueAp should be a value as follows: 0: All Time(Windows, Linux Only); 31: 31days; 90: 90days; 180: 180days; 365: 365days.
widsDataintegernoRetention Configuration of wids data(only effective in local pro controller), widsData should be a value as follows: 0: All Time(Windows, Linux Only); 90: 90days; 180: 180days; 365: 365days.
clientDataTrendDailyintegernoRetention Configuration of client data trend records(only effective in local controller), clientStatDaily should be a value as follows: 1: 1day; 7: 7days; 31: 31days; 60: 60days, 90: 90days.
clientTrendAvailableRetentionDaysarray<integer>noProvide optional clientDataTrendDaily data Retention Configuration list.
json
// omada_call_operation
{
  "operationId": "modifyRetention_1",
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing retention.
The interface requires one of the permissions:
Global Other Setting Modify

getUiInterface ​

GET /openapi/v1/{omadacId}/controller/setting/ui-interface

Get UI interface

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getUiInterface"
}
Details, permissions and error codes

Get UI interface.
The interface requires one of the permissions:
Global Other Setting View Only

modifyUiInterface ​

PATCH /openapi/v1/{omadacId}/controller/setting/ui-interface

Modify an existing UI interface

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema UI Interface

FieldTypeRequiredDescription
timeZoneintegernoTime zone should be a value as follows: 0: Site's; 1: Browser's; 2: Controller's; 3: UTC
refreshRateintegeryesRefresh rate should be a value as follows: 0: 15 seconds;1: 1 minute; 2: 2 minutes; 3: 5 minutes; 4: never refresh.
privateLabelingEnablebooleannoEnable customer labeling of controller, this configuration applies to Omada Pro Controller only
privateLabelingUrlstringnoThe redirection url of labeling image, this configuration applies to Omada Pro Controller only
privateLabelingFileIdstringnoThe file id of labeling image, this configuration applies to Omada Pro Controller only
privateLabelingFileNamestringnoThe file name of labeling image, this configuration applies to Omada Pro Controller only
macFormatintegerno
json
// omada_call_operation
{
  "operationId": "modifyUiInterface",
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing UI interface.
The interface requires one of the permissions:
Global Other Setting Modify

getOmadacDstInfo_1 ​

GET /openapi/v1/{omadacId}/dst-info

Get controller DST

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getOmadacDstInfo_1"
}

getExpImprove ​

GET /openapi/v1/{omadacId}/global/controller/setting/exp-improve

Get experience improvement

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getExpImprove"
}
Details, permissions and error codes

Get experience improvement.
The interface requires one of the permissions:
Global Other Setting View Only

modifyExpImprove ​

PATCH /openapi/v1/{omadacId}/global/controller/setting/exp-improve

Modify an existing experience improvement

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema Experience Improvement Program

FieldTypeRequiredDescription
expImprovebooleanyesJoin User Experience Improvement Program
json
// omada_call_operation
{
  "operationId": "modifyExpImprove",
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing experience improvement.
The interface requires one of the permissions:
Global Other Setting Modify

getGernalSettings ​

GET /openapi/v1/{omadacId}/global/controller/setting/general

Get general settings

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getGernalSettings"
}
Details, permissions and error codes

Get general settings.
The interface requires one of the permissions:
Global Other Setting View Only

modifyGeneralSettings ​

PATCH /openapi/v1/{omadacId}/global/controller/setting/general

Modify an existing general settings

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema General Setting

FieldTypeRequiredDescription
namestringyesGeneral setting name should be visible ASCII, between 1 and 32 characters.
timeZonestringyesFor the values of timeZone, refer to section 5.1 of the Open API Access Guide.
regionstringyesCountry/Region of the controller
dstDstOpenApiVOno(DstOpenApiVO not expanded; call omada_get_schema "DstOpenApiVO")
json
// omada_call_operation
{
  "operationId": "modifyGeneralSettings",
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing general settings.
The interface requires one of the permissions:
Global Other Setting Modify

getRemoteLogging ​

GET /openapi/v1/{omadacId}/global/controller/setting/syslog

Get remote logging

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getRemoteLogging"
}
Details, permissions and error codes

Get remote logging.
The interface requires one of the permissions:
Global Other Setting View Only

modifyRemoteLogging ​

PATCH /openapi/v1/{omadacId}/global/controller/setting/syslog

Modify an existing remote logging

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema Remote Log

FieldTypeRequiredDescription
enablebooleanyesWhether to enable the feature
hoststringnoThe IP address of the remote log server
portintegernoPort of the remote log server, port should be within the range of 1-65535
json
// omada_call_operation
{
  "operationId": "modifyRemoteLogging",
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing remote logging.
The interface requires one of the permissions:
Global Other Setting Modify

getMailServerStatus ​

GET /openapi/v1/{omadacId}/mail/status

Get mailServer status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getMailServerStatus"
}
Details, permissions and error codes

Get mailServer status
The interface requires one of the permissions:
Global Other Setting View Only
Global Users Manager View Only
Global Export Data Access

getPrivacyPolicy ​

GET /openapi/v1/{omadacId}/privacy-policy

Get privacy policy

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getPrivacyPolicy"
}
Details, permissions and error codes

Get privacy policy
The interface requires one of the permissions:
Global Other Setting View Only

sendTestEmail ​

POST /openapi/v1/{omadacId}/settings/test-mail

Send test mail for controller

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema SendMailServerOpenApiVO

FieldTypeRequiredDescription
smtpEnablebooleannoEnable SMTP mail server
smtpServerstringyesThe domain name of the SMTP mailbox server.
portintegeryesThe port of the SMTP mailbox server,xxxx should be within the range of 1-65535
sslEnablebooleanyesWhether the SMTP mailbox server uses SSL encryption.
authEnablebooleanyesWhether the SMTP email server uses basic authentication.
usernamestringnoThe user's email address used for authentication.
passwordstringnoThe user's email password used for authentication.
senderAddressstringnoThe email address from which the message was sent.
receiverstringnoThe email address where the message will be received.
json
// omada_call_operation
{
  "operationId": "sendTestEmail",
  "body": "{...}"
}
Details, permissions and error codes

Send test mail for controller
The interface requires one of the permissions:
Global Other Setting View Only

favoriteSite ​

POST /openapi/v1/{omadacId}/sites/{siteId}/favorites

Favorite site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "favoriteSite",
  "params": {
    "siteId": "<siteId>"
  }
}

cancelFavoriteSite ​

POST /openapi/v1/{omadacId}/sites/{siteId}/favorites/cancels

Cancel favorite site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "cancelFavoriteSite",
  "params": {
    "siteId": "<siteId>"
  }
}

evaluateFeedback ​

POST /openapi/v1/{omadacId}/users/feedback/evaluates

Evaluate a customer feedback

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema FeedbackOpenApiVO

FieldTypeRequiredDescription
levelintegeryesThe rating of the controller service is in the range of 1~5.
contentstringyesFeedback and evaluation of the controller service.
json
// omada_call_operation
{
  "operationId": "evaluateFeedback",
  "body": "{...}"
}

Released under the MIT License. Not affiliated with or endorsed by TP-Link.